| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::archive_options_test Class Reference
API

class holding optional parameters used to test the structure coherence of an existing archive More...

`#include <archive_options.hpp>`

Inherits libdar::on_pool.

## Public Member Functions
| archive_options_test (const archive_options_test &ref)
const archive_options_test & | operator= (const archive_options_test &ref)
void | clear ()
void | set_selection (const mask &selection)
| list of filenames to consider (directory not concerned by this fiter)
void | set_subtree (const mask &subtree)
| defines the directory and files to consider (this mask will be applied to the absolute path of files being proceeded)
void | set_info_details (bool info_details)
void | set_display_skipped (bool display_skipped)
| whether to display files that have been excluded by filters
void | set_display_treated (bool display_treated, bool only_dir)
void | set_empty (bool empty)
| dry-run exectution if set to true
const mask & | get_selection () const
const mask & | get_subtree () const
bool | get_info_details () const
bool | get_display_treated () const
bool | get_display_treated_only_dir () const
bool | get_display_skipped () const
bool | get_empty () const
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

class holding optional parameters used to test the structure coherence of an existing archive

Definition at line 1343 of file archive_options.hpp.

## Member Function Documentation

void libdar::archive_options_test::set_display_treated | ( | bool | display_treated,
|  | bool | only_dir
| ) |  |
| inline

defines whether to show treated files

Parameters

  [in] | display_treated | true to display processed inodes
  [in] | only_dir | only display the current directory under processing, not its individual files

Definition at line 1376 of file archive_options.hpp.

void libdar::archive_options_test::set_info_details | ( | bool | info_details | ) |
| inline

whether the user needs detailed output of the operation

Note
  in API 5.5.x and before this switch drove the displaying of processing messages and treated files. now it only drives the display of processing messages, use set_display_treated to define whether files under treatement should be display or not

Definition at line 1368 of file archive_options.hpp.

The documentation for this class was generated from the following file:

- archive_options.hpp